Developing for Splunk Enterprise
Highlighted

Can I use a non-Oracle java or non-Oracle openJDK with DB_Connect

Explorer

My security people want me to use an openJDK product from Azul Systems. I get an error when saving the configuration settings

{'jreneed': 'Need Oracle Corporation JRE version 1.8 or OpenSDK 1.8', 'jreusing': 'Using Azul Systems, Inc. JRE version 1.8, OpenJDK 64-Bit Server VM', 'message': 'Unsupported JRE detected'} validate java command: /opt/splunk-nexusJDK/zulu8.44.0.10-sa-jdk8.0.242-linux_x64/jre/bin/java.

Azul suggested this override in JVM options "-XX:+OverrideVMProperties -Djava.vm.vendor="Oracle Corporation" ". That didn't work either. DB_Connect works fine with standard Oracle Java and Oracle's openJDK

Has anyone been successful using an alternative java engine like this? Thanks in advance.

Labels (1)
0 Karma
Speak Up for Splunk Careers!

We want to better understand the impact Splunk experience and expertise has has on individuals' careers, and help highlight the growing demand for Splunk skills.